at.chipkarte.client.ebs.soap

## Class Leistungsinformation

- Object
- - at.chipkarte.client.ebs.soap.Leistungsinformation

-     public class Leistungsinformation
      extends Object

  Im Zuge der Verordnungskatalogdaten-Abfrage ermittelte Katalogleistung, inklusive der Information über eine eventuell vorhandene Fachgebietsabhängigkeit und der Zuordnung von welchen KV-Trägern diese Katalogleistung unterstützt wird.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Leistungsinformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getFachgebiete()` Fachgebiet das für die Katalogleistung unabhängig der Antragsberechtigung zur Verordnung benötigt wird.
    `Katalogleistung` | `getKatalogleistung()` Katalogleistung.
    `String[]` | `getKvts()` KV-Träger die die Katalogleistung unterstützen.
    `void` | `setFachgebiete(String[] fachgebiete)`
    `void` | `setKatalogleistung(Katalogleistung katalogleistung)`
    `void` | `setKvts(String[] kvts)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Leistungsinformation

          public Leistungsinformation()

  - ### Method Detail

    - #### getKatalogleistung

          public Katalogleistung getKatalogleistung()

      Katalogleistung. Siehe `Katalogleistung`.
      Angabe: Muss.
      Returns:
        Katalogleistungen.

    - #### setKatalogleistung

          public void setKatalogleistung(Katalogleistung katalogleistung)

    - #### getFachgebiete

          public String[] getFachgebiete()

      Fachgebiet das für die Katalogleistung unabhängig der Antragsberechtigung zur Verordnung benötigt wird.
      Hinweis: Bestimmte Leistungen dürfen aus Leistungsebene nur von expliziten Fachgebieten verordnet werden. Die Prüfung bezieht sich immer auf den Verordner. D.h. bei Nacherfassungen werden die Daten des Originalverordners überprüft!.
      Mögliche Werte siehe `getFachgebiete`.
      Angabe: Kann.
      0 .. n Elemente
      Returns:
        Liste der expliziten Fachgebietseinschränkungen.

    - #### setFachgebiete

          public void setFachgebiete(String[] fachgebiete)

    - #### getKvts

          public String[] getKvts()

      KV-Träger die die Katalogleistung unterstützen.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Muss.
      1 .. n Elemente
      Wurde bei der Abfrage ein KV-Träger als Suchkriterium angegeben, werden nur Katalogleistungen retourniert die von dem angegebenen KV-Träger unterstützt werden. In diesem Fall wird hier nur der angegebene KVT retourniert.
      Returns:
        Liste der unterstützenden Kvts.

    - #### setKvts

          public void setKvts(String[] kvts)